Subject: Re: bug#45631: 27.1; regression: message-forward-ignored-headers no longer applies when forwarding as MIME

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 10 Jan 2021 16:18:23 +0100

Robert Pluim <[email-masked]> writes:

> I think setting message-forward-show-mml to t will do what you want,
> then message won't bother to check if the message is signed/encrypted,
> and will thus apply message-forward-ignored-headers.

Looking over that mess again, I think my analysis of when that variable
is used, and when it's supposed to be used, was wrong.  I've now make it
respect that variable even if message-forward-show-mml is nil.  The only
instance it won't be used is if message-forward-show-mml is `best', and
we're forwarding an encrypted/signed message.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no